# Uses of Class
com.logicaldoc.core.metadata.validation.ValidationError

Packages that use ValidationError
Package
Description
com.logicaldoc.core.metadata.validation
Package that contains classes used to validate extensible objects metadata, `ExtensibleObject`.

## Uses of ValidationError in com.logicaldoc.core.metadata.validation

Methods in com.logicaldoc.core.metadata.validation that return types with arguments of type ValidationError
Modifier and Type
Method
Description
`Map<String,ValidationError>`
ValidationException.`getErrors()`
Retrieves the map with the errors descriptions
Methods in com.logicaldoc.core.metadata.validation with parameters of type ValidationError
Modifier and Type
Method
Description
`void`
ValidationException.`addError(ValidationError error)`
Constructor parameters in com.logicaldoc.core.metadata.validation with type arguments of type ValidationError
Modifier
Constructor
Description
``
`ValidationException(Collection<ValidationError> errors)`
Creates a new session with the map of errors
``
`ValidationException(Collection<ValidationError> errors, Throwable cause)`
Creates a new session with the map of errors